﻿@using WcoSiteNet.Models
@model WcoSiteNet.Models.Trade.TradeLogModel
@{
    Layout = "~/Views/Dashboard/_Layout.cshtml";
    ViewBag.Title = "Histórico de Trocas - World Conquer Online";
}

<div class="br-pagetitle">
    <i class="icon ion-ios-download-outline"></i>
    <div>
        <h4>@LanguageManager.GetString("StrPageTradeLog")</h4>
        <p class="mg-b-0">@LanguageManager.GetString("StrPageTradeLogDesc")</p>
    </div>
</div>

<div class="br-pagebody">
    <div class="br-section-wrapper">
        <div class="row">
            <div class="col-xl-12">
                <div class="form-layout form-layout-4">
                    <div class="table-wrapper">
                        <table id="dtTradeLog" class="table display responsive nowrap">
                            <thead>
                                <tr>
                                    <th class="wd-5p">#</th>
                                    <th class="wd-20p">@LanguageManager.GetString("StrSenderName")</th>
                                    <th class="wd-20p">@LanguageManager.GetString("StrTargetName")</th>
                                    <th class="wd-20p">@LanguageManager.GetString("StrLocation")</th>
                                    <th class="wd-20p">@LanguageManager.GetString("StrTargetDate")</th>
                                    <th class="wd-15p">@LanguageManager.GetString("StrView")</th>
                                </tr>
                            </thead>
                            <tbody>
                            @foreach (var trade in Model.History)
                            {
                                <tr>
                                    <td>@trade.TradeIdentity</td>
                                    <td>@trade.SenderName</td>
                                    <td>@trade.TargetName</td>
                                    <td>@trade.Location</td>
                                    <td>@trade.Date.ToString("dd/MM/yyyy HH:mm:ss")</td>
                                    <td>@LanguageManager.GetString("StrView")</td>
                                </tr>
                            }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@section post_javascript
{
    <script>
        $('#dtTradeLog').DataTable({
            bLengthChange: false,
            searching: true,
            responsive: true,
            pageLength: 10,
            order: [[ 0, "desc" ]]
        });
    </script>
}